Package org.gradle.api.file

## Class UnableToDeleteFileException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.gradle.api.UncheckedIOException
        - - org.gradle.api.file.UnableToDeleteFileException

- All Implemented Interfaces:
    `java.io.Serializable`

      @Deprecated
      public class UnableToDeleteFileException
      extends UncheckedIOException

  Deprecated.
  This exception is not thrown anymore, and is replaced by a `RuntimeException`.
  Thrown by Gradle when it is unable to delete a file.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `UnableToDeleteFileException​(java.io.File file)` | Deprecated. Creates exception with file, a reasonable message is used.
    `UnableToDeleteFileException​(java.io.File file, java.lang.String message)` | Deprecated. Creates exception with file and message.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.io.File` | `getFile()` | Deprecated.

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### UnableToDeleteFileException

          public UnableToDeleteFileException​(java.io.File file)

      Deprecated.
      Creates exception with file, a reasonable message is used.

    - #### UnableToDeleteFileException

          @Incubating
          public UnableToDeleteFileException​(java.io.File file,
                                             java.lang.String message)

      Deprecated.
      Creates exception with file and message.
      Since:
        5.3

  - ### Method Detail

    - #### getFile

          public java.io.File getFile()

      Deprecated.